### Function

# Gtk MapListModelMapFunc

since: 4.0

#### Declaration

    GObject*
    (* GtkMapListModelMapFunc) (
      GObject* item,
      gpointer user_data
    )

#### Description [src]

User function that is called to map an `item` of the original model to an item expected by the map model.

The returned items must conform to the item type of the model they are used with.

Available since: 4.0

#### Parameters

`item`

  Type: `GObject`

  The item to map.

  The called function takes ownership of the data, and is responsible for freeing it.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GObject`

The item to map to.

The caller of the function takes ownership of the data, and is responsible for freeing it.